Tryton - Issues

 

Issue7834

Title parent and child domain replication
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot
Type performance Components account
Assigned To ced Keywords review
Reviews 52521004
View: 52521004

Created on 2018-11-02.17:51:22 by ced, last changed by roundup-bot.

Messages
New changeset b61cd149ae9c by Cédric Krier in branch '5.0':
Do not recursively extend the base domain of parent and childs
https://hg.tryton.org/modules/account/rev/b61cd149ae9c
New changeset 9051602473e6 by Cédric Krier in branch 'default':
Do not recursively extend the base domain of parent and childs
https://hg.tryton.org/tryton-env/rev/9051602473e6
New changeset 14ec25c74350 by Cédric Krier in branch 'default':
Do not recursively extend the base domain of parent and childs
https://hg.tryton.org/modules/account/rev/14ec25c74350
review52521004 updated at https://codereview.tryton.org/52521004/#ps1
msg44721 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-11-02.17:51:21
The PeriodMixin extend the domain of the fields parent and childs in the __setup__. But as it is in the base class, this replace the definition of the base field (which is copied in Model.__setup__) and so the extension is recursively applied on each call to __setup__ by module. This fails running all the tests on all modules because __setup__ is called many time and so a very large domain is created overflowing the SQLite stack.
History
Date User Action Args
2018-11-25 22:23:35roundup-botsetmessages: + msg45020
2018-11-18 12:00:43roundup-botsetmessages: + msg44903
2018-11-18 12:00:39roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg44902
2018-11-02 17:55:37reviewbotsetnosy: + reviewbot
messages: + msg44722
2018-11-02 17:53:32cedsetstatus: in-progress -> testing
reviews: 52521004
keyword: + review
2018-11-02 17:51:22cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)